const Joi = require('joi');

export const goodsNameSchema = Joi.object().keys({
    goodsName:
        Joi
            .string()
            .regex(/^[а-яА-Я0-9]{5,30}$/)
            .required()
});

export const goodsDescriptionSchema = Joi.object().keys({
    goodsDescription:
        Joi
            .string()
            .regex(/^[а-яА-Я0-9]{5,20}$/)
            .required()
});

export const goodsFullDescriptionSchema = Joi.object().keys({
    goodsFullDescription:
        Joi
            .string()
            .regex(/^[а-яА-Я0-9]{20,200}$/)
            .required()
});
